Name:           python-testscenarios
Version:        0.5.0
Release:        14
Summary:        Provides clean dependency injection for python unittest style tests
License:        ASL 2.0 and BSD
URL:            https://launchpad.net/testscenarios
Source0:        https://pypi.python.org/packages/source/t/testscenarios/testscenarios-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel python2-fixtures python2-setuptools python2-pbr python2-testtools
BuildRequires:  python3-devel python3-fixtures python3-setuptools python3-pbr python3-testtools

%description
testscenarios provides clean dependency injection for python unittest style tests.
This can be used for interface testing (testing many implementations via a single test suite)
or for classic dependency injection (provide tests with dependencies externally to
the test code itself, allowing easy testing in different situations).

%package -n python2-testscenarios
Summary:        Provides clean dependency injection for python unittest style tests
Requires:       python2-pbr python2-testtools
%{?python_provide:%python_provide python2-testscenarios}

%description -n python2-testscenarios
testscenarios provides clean dependency injection for python unittest style tests.
This can be used for interface testing (testing many implementations via a single test suite)
or for classic dependency injection (provide tests with dependencies externally to
the test code itself, allowing easy testing in different situations).

%package -n python3-testscenarios
Summary:        Provides clean dependency injection for python unittest style tests
Requires:       python3-pbr python3-testtools
%{?python_provide:%python_provide python3-testscenarios}

%description -n python3-testscenarios
testscenarios provides clean dependency injection for python unittest style tests.
This can be used for interface testing (testing many implementations via a single test suite)
or for classic dependency injection (provide tests with dependencies externally to
the test code itself, allowing easy testing in different situations).

%prep
%autosetup -n testscenarios-%{version} -p1
rm -rf testscenarios.egg-info
sed -i '/^buffer = 1$/d' setup.cfg
sed -i '/^catch = 1$/d' setup.cfg

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-testscenarios
%doc GOALS HACKING NEWS README doc/
%license Apache-2.0 BSD
%{python2_sitelib}/testscenarios
%{python2_sitelib}/testscenarios-%{version}-py?.?.egg-info

%files -n python3-testscenarios
%license Apache-2.0 BSD
%doc GOALS HACKING NEWS README doc/
%{python3_sitelib}/*

%changelog
* Tue Nov 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.5.0-14
- Package init


